<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncSalesItemResource extends JsonResource
{
    public function toArray($request)
    {
        return [
            'pve_codigo' => $this->product_variety_pack->pve_codigo ?? null,
            'pro_descricao' => $this->product_variety_pack->product_variety->product->pro_descricao." — ".$this->product_variety_pack->product_variety->prv_descricao ?? null,
            'vei_quantidade' => $this->vei_quantidade ?? 0,
            'vei_valor_unitario' => $this->vei_valor_unitario ?? 0,
            'vei_desconto' => $this->vei_desconto ?? 0,
            'vei_total' => $this->vei_total ?? 0
        ];
    }
}
